Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.ee
Class EEPersistenceManager

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.PersistenceManagerImpl
            |
            +--com.solarmetric.kodo.ee.EEPersistenceManager

All Implemented Interfaces:
  javax.resource.cci.Connection, javax.resource.cci.ConnectionMetaData, EventManager, javax.resource.cci.Interaction, KodoTransaction, javax.resource.cci.LocalTransaction, javax.resource.spi.LocalTransaction, PersistenceManager, javax.resource.cci.ResultSetInfo, Synchronization, Transaction

public class EEPersistenceManager
extends PersistenceManagerImpl
implements Synchronization, javax.resource.cci.Connection, javax.resource.cci.ResultSetInfo, javax.resource.cci.Interaction, javax.resource.cci.LocalTransaction, javax.resource.cci.ConnectionMetaData, javax.resource.spi.LocalTransaction

PersistenceManager for enterprised managed environments.

Inner classes inherited from class com.solarmetric.kodo.runtime.event.EventManager
`EventManager.EventManagerHelper`

Fields inherited from class com.solarmetric.kodo.runtime.PersistenceManagerImpl
`store`

Constructor Summary
`EEPersistenceManager()`

Method Summary
`void` | `afterCompletion(int status)`
`void` | `beforeCompletion()`
`void` | `begin()`
`void` | `clearWarnings()`
`void` | `close()`
`protected boolean` | `closeRequested()` Returns `true` if `close()` has been invoked on this object, but the close was deferred because an active transaction was in progress.
`void` | `commit()`
`javax.resource.cci.Interaction` | `createInteraction()`
`boolean` | `deletesAreDetected(int type)`
`javax.resource.cci.Record` | `execute(javax.resource.cci.InteractionSpec ispec, javax.resource.cci.Record input)`
`boolean` | `execute(javax.resource.cci.InteractionSpec ispec, javax.resource.cci.Record input, javax.resource.cci.Record output)`
`javax.resource.cci.Connection` | `getConnection()`
`String` | `getEISProductName()`
`String` | `getEISProductVersion()`
`javax.resource.cci.LocalTransaction` | `getLocalTransaction()`
`javax.resource.cci.ConnectionMetaData` | `getMetaData()`
`javax.resource.cci.ResultSetInfo` | `getResultSetInfo()`
`String` | `getUserName()`
`javax.resource.cci.ResourceWarning` | `getWarnings()`
`void` | `initialize(PersistenceManagerFactoryImpl factory, StoreManager sm, String user, String pass, EEFactoryHelper helper)` Initialize the persistence manager with the given factory helper; this also takes care of synching the manager on the current global transaction, if any.
`boolean` | `insertsAreDetected(int type)`
`boolean` | `isGlobalTransactionActive()`
`boolean` | `othersDeletesAreVisible(int type)`
`boolean` | `othersInsertsAreVisible(int type)`
`boolean` | `othersUpdatesAreVisible(int type)`
`boolean` | `ownDeletesAreVisible(int type)`
`boolean` | `ownInsertsAreVisible(int type)`
`boolean` | `ownUpdatesAreVisible(int type)`
`void` | `rollback()`
`boolean` | `supportsResultSetType(int type)`
`boolean` | `supportsResultTypeConcurrency(int type, int concurrency)`
`void` | `synchronizeGlobalTransaction()` synchronize on the global transaction.
`boolean` | `updatesAreDetected(int type)`

Methods inherited from class com.solarmetric.kodo.runtime.PersistenceManagerImpl
`addFetchGroup, addFetchGroups, addToTransaction, checkActiveTransaction, checkClosed, checkCustomFetchGroupCapability, checkNontransactionalRead, checkValid, clearFetchGroups, closeQueries, commitAndResume, currentKodoTransaction, currentTransaction, deletePersistent, deletePersistentAll, deletePersistentAll, deletePersistentFilter, dropState, endTransaction, evict, evictAll, evictAll, evictAll, evictAll, evictAll, evictFilter, finalize, flush, flushInternal, freezeOid, getCachedObjectById, getClassResolver, getClassResolver, getClassResolver, getConfiguration, getConnectionPassword, getConnectionUserName, getContextClassLoader, getExtent, getFetchGroups, getFlushBeforeQueries, getIgnoreCache, getManagedObjects, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getObjectById, getObjectById, getObjectByIdFilter, getObjectId, getObjectIdClass, getOptimistic, getPersistenceManager, getPersistenceManagerFactory, getQueryCacheEnabled, getRestoreValues, getRetainValues, getState, getState, getStoreManager, getStoreManager, getSynchronization, getTouchedClasses, getTransactionalObjectId, getTransactionalObjects, getTransactionalObjectsOfType, getUserObject, hasCustomFetchGroupCapability, initialize, isActive, isClosed, lock, makeNontransactional, makeNontransactionalAll, makeNontransactionalAll, makeNontransactionalFilter, makePersistent, makePersistentAll, makePersistentAll, makePersistentFilter, makeTransactional, makeTransactionalAll, makeTransactionalAll, makeTransactionalFilter, makeTransient, makeTransientAll, makeTransientAll, makeTransientFilter, newManagedObjectCache, newObjectIdInstance, newQuery, newQuery, newQuery, newQuery, newQuery, newQuery, newQuery, newQuery, newQuery, preCommitCallbacks, preFlushCallbacks, refresh, refreshAll, refreshAll, refreshAll, refreshFilter, registerTransactionListener, removeFetchGroup, removeFetchGroups, removeFromTransaction, removeTransactionListener, retrieve, retrieveAll, retrieveAll, retrieveFilter, rollbackAndResume, setCustomFetchGroupCapability, setFlushBeforeQueries, setIgnoreCache, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setQueryCacheEnabled, setRestoreValues, setRetainValues, setState, setSynchronization, setUserObject, touchClass, unlock`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EEPersistenceManager

    public EEPersistenceManager()

Method Detail

### initialize

    public void initialize(PersistenceManagerFactoryImpl factory,
                           StoreManager sm,
                           String user,
                           String pass,
                           EEFactoryHelper helper)

  Initialize the persistence manager with the given factory helper; this also takes care of synching the manager on the current global transaction, if any.

### synchronizeGlobalTransaction

    public void synchronizeGlobalTransaction()

  synchronize on the global transaction. This method should be called after the PM is initialized, but before it is used for the first time.

### begin

    public void begin()

  Specified by:
    `begin` in interface `javax.resource.cci.LocalTransaction`
  Overrides:
    `begin` in class `PersistenceManagerImpl`

### commit

    public void commit()

  Specified by:
    `commit` in interface `javax.resource.cci.LocalTransaction`
  Overrides:
    `commit` in class `PersistenceManagerImpl`

### rollback

    public void rollback()

  Specified by:
    `rollback` in interface `javax.resource.cci.LocalTransaction`
  Overrides:
    `rollback` in class `PersistenceManagerImpl`

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `Synchronization`

### afterCompletion

    public void afterCompletion(int status)

  Specified by:
    `afterCompletion` in interface `Synchronization`

### close

    public void close()

  Specified by:
    `close` in interface `javax.resource.cci.Connection`
  Overrides:
    `close` in class `PersistenceManagerImpl`

### closeRequested

    protected boolean closeRequested()

  Returns `true` if `close()` has been invoked on this object, but the close was deferred because an active transaction was in progress.
  Since:
    2.5.1

### isGlobalTransactionActive

    public boolean isGlobalTransactionActive()

### getMetaData

    public javax.resource.cci.ConnectionMetaData getMetaData()

  Specified by:
    `getMetaData` in interface `javax.resource.cci.Connection`

### createInteraction

    public javax.resource.cci.Interaction createInteraction()
                                                     throws javax.resource.NotSupportedException

  Specified by:
    `createInteraction` in interface `javax.resource.cci.Connection`

### getLocalTransaction

    public javax.resource.cci.LocalTransaction getLocalTransaction()
                                                            throws javax.resource.NotSupportedException

  Specified by:
    `getLocalTransaction` in interface `javax.resource.cci.Connection`

### getResultSetInfo

    public javax.resource.cci.ResultSetInfo getResultSetInfo()
                                                      throws javax.resource.NotSupportedException

  Specified by:
    `getResultSetInfo` in interface `javax.resource.cci.Connection`

### clearWarnings

    public void clearWarnings()

  Specified by:
    `clearWarnings` in interface `javax.resource.cci.Interaction`

### execute

    public javax.resource.cci.Record execute(javax.resource.cci.InteractionSpec ispec,
                                             javax.resource.cci.Record input)
                                      throws javax.resource.ResourceException

  Specified by:
    `execute` in interface `javax.resource.cci.Interaction`

### execute

    public boolean execute(javax.resource.cci.InteractionSpec ispec,
                           javax.resource.cci.Record input,
                           javax.resource.cci.Record output)
                    throws javax.resource.ResourceException

  Specified by:
    `execute` in interface `javax.resource.cci.Interaction`

### getConnection

    public javax.resource.cci.Connection getConnection()

  Specified by:
    `getConnection` in interface `javax.resource.cci.Interaction`

### getWarnings

    public javax.resource.cci.ResourceWarning getWarnings()

  Specified by:
    `getWarnings` in interface `javax.resource.cci.Interaction`

### deletesAreDetected

    public boolean deletesAreDetected(int type)

  Specified by:
    `deletesAreDetected` in interface `javax.resource.cci.ResultSetInfo`

### insertsAreDetected

    public boolean insertsAreDetected(int type)

  Specified by:
    `insertsAreDetected` in interface `javax.resource.cci.ResultSetInfo`

### othersDeletesAreVisible

    public boolean othersDeletesAreVisible(int type)

  Specified by:
    `othersDeletesAreVisible` in interface `javax.resource.cci.ResultSetInfo`

### othersInsertsAreVisible

    public boolean othersInsertsAreVisible(int type)

  Specified by:
    `othersInsertsAreVisible` in interface `javax.resource.cci.ResultSetInfo`

### othersUpdatesAreVisible

    public boolean othersUpdatesAreVisible(int type)

  Specified by:
    `othersUpdatesAreVisible` in interface `javax.resource.cci.ResultSetInfo`

### ownDeletesAreVisible

    public boolean ownDeletesAreVisible(int type)

  Specified by:
    `ownDeletesAreVisible` in interface `javax.resource.cci.ResultSetInfo`

### ownInsertsAreVisible

    public boolean ownInsertsAreVisible(int type)

  Specified by:
    `ownInsertsAreVisible` in interface `javax.resource.cci.ResultSetInfo`

### ownUpdatesAreVisible

    public boolean ownUpdatesAreVisible(int type)

  Specified by:
    `ownUpdatesAreVisible` in interface `javax.resource.cci.ResultSetInfo`

### supportsResultSetType

    public boolean supportsResultSetType(int type)

  Specified by:
    `supportsResultSetType` in interface `javax.resource.cci.ResultSetInfo`

### supportsResultTypeConcurrency

    public boolean supportsResultTypeConcurrency(int type,
                                                 int concurrency)

  Specified by:
    `supportsResultTypeConcurrency` in interface `javax.resource.cci.ResultSetInfo`

### updatesAreDetected

    public boolean updatesAreDetected(int type)

  Specified by:
    `updatesAreDetected` in interface `javax.resource.cci.ResultSetInfo`

### getEISProductName

    public String getEISProductName()

  Specified by:
    `getEISProductName` in interface `javax.resource.cci.ConnectionMetaData`

### getEISProductVersion

    public String getEISProductVersion()

  Specified by:
    `getEISProductVersion` in interface `javax.resource.cci.ConnectionMetaData`

### getUserName

    public String getUserName()

  Specified by:
    `getUserName` in interface `javax.resource.cci.ConnectionMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.